﻿/**Begin D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_BANKCHANGE') 
 CREATE TABLE T_PMCT_BANKCHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTAPPLYID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_BANKCHANGE_L')
 CREATE TABLE T_PMCT_BANKCHANGE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMCT_BANKCHANGEENTRY')
 CREATE TABLE T_PMCT_BANKCHANGEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTPARTBID BIGINT DEFAULT 0 NOT NULL,
FOLDBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDACCOUNTNAME VARCHAR(255) DEFAULT ' ',
FOLDBANKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEBANKID BIGINT DEFAULT 0 NOT NULL,
FBANKACCOUNT VARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNTNAME VARCHAR(255) DEFAULT ' ',
FOUTCONTRACTID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_BANKCHANGE' AND KSQL_COL_NAME ='FBILLNAME')
 ALTER TABLE T_PMCT_BANKCHANGE ADD (FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_BANKCHANGE' AND KSQL_COL_NAME ='FCREATEORGID')
 ALTER TABLE T_PMCT_BANKCHANGE ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );

/**End D:\3.document\PDM_UPGRADE\PDM_UPGRADE\pdmnew\PMCT_table.sql **/
