﻿/**Begin D:\PDM_UPGRADE\pdmnew\PMCT_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_LISTENTRY_A' AND KSQL_COL_NAME ='FLATESTPRICE') 
 ALTER TABLE T_PMCT_LISTENTRY_A ADD (FLATESTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_CONTRACT_A' AND KSQL_COL_NAME ='FCHANGESTANDARD') 
 ALTER TABLE T_PMCT_CONTRACT_A ADD (FCHANGESTANDARD VARCHAR(100) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_LISTENTRY' AND KSQL_COL_NAME ='FLISTRATEID') 
 ALTER TABLE T_PMCT_SETTLE_LISTENTRY ADD (FLISTRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_SETTLE_ITEMENTRY' AND KSQL_COL_NAME ='FITEMRATEID') 
 ALTER TABLE T_PMCT_SETTLE_ITEMENTRY ADD (FITEMRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FLATESTPRICE') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FLATESTPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FINVOICEAMOUNT') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FINVOICETAXAMOUNT') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FINVOICETAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FAPPLYAMOUNT') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FAPPLYAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FAPPLYTAXAMOUNT') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FAPPLYTAXAMOUNT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISIONSUBENTRY_A' AND KSQL_COL_NAME ='FSETTLEDAMT') 
 ALTER TABLE T_PMCT_REVISIONSUBENTRY_A ADD (FSETTLEDAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_PAYMENTREGENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_PMCT_PAYMENTREGENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_REVISION' AND KSQL_COL_NAME ='FCHANGESTANDARD') 
 ALTER TABLE T_PMCT_REVISION ADD (FCHANGESTANDARD VARCHAR(100) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_PAYAPPLYENTRY_A' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_PMCT_PAYAPPLYENTRY_A ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_INCOMEREGENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_PMCT_INCOMEREGENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMCT_INAPPLYENTRY' AND KSQL_COL_NAME ='FTAXRATEID') 
 ALTER TABLE T_PMCT_INAPPLYENTRY ADD (FTAXRATEID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\pdmnew\PMCT_table.sql **/
